Bug 134622 - Anaconda buildinstall fails to include librpm-4.2.so
Anaconda buildinstall fails to include librpm-4.2.so
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda-product (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-10-04 23:53 EDT by Roland Pope
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-05 10:43:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Roland Pope 2004-10-04 23:53:28 EDT
Description of problem:
I have been regularly rebuilding my install CD's to include a few 
extra RPMS. Since the last update, I have been unable to get a 
workable install, as the install CD always fails with a missing 
library "librpm-4.2.so". This appears to be a problem in anaconda's 
buildinstall script as I can see the following error when running it:
Creating debug dir
Patching python library...
Removing unused python files in hdimage... Traceback (most recent 
call last):
   File "/usr/bin/anaconda", line 344, in ?
     from exception import handleException
   File "/usr/lib/anaconda/exception.py", line 24, in ?
     import rpm
 ImportError: librpm-4.2.so: cannot open shared object file: No such 
file or
When I look in the temporary '/tmp/treedir.????/instimage/usr/lib' 
directory that buildinstall creates, I can see that indeed, no librpm-
4.2.so is there?? The library is definitely on my machine when I do 
the build, and the 'upd-instroot' specifies to include the librpm 
The problem appears to be caused by the fact that 'rpm-libs' is not 
specified in the PACKAGES and PACKAGESGR lists inside the 'upd-
instroot' script. When I added the 'rpm-libs' package to both these 
lists, the problem went away. Perhaps this is because the rpmlibs are 
now in their own RPM package and upd-instroot hasn't been changed to 
reflect this?

How reproducible: Every time

Steps to Reproduce:
1. run anaconda's buildinstall and observe the 'missing librpm-
4.2.so' error
Comment 1 Jeremy Katz 2004-10-05 10:43:09 EDT
rpm-libs is in PACKAGES/PACKAGESGR in anaconda packages that were
released concurrent with the rpm update.

Note You need to log in before you can comment on or make changes to this bug.